List
curl --request GET \
--url https://api.qa.sima.ag/api/v2/third_party/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/campaigns"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v2/third_party/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 48550,
"schedule_planting_date": "2019-01-28T07:23:53-03:00",
"planting_date": "2019-01-28T07:23:53-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "1.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2019-02-21T09:06:42-03:00",
"date_modified": "2022-07-14T13:49:05-03:00",
"date": "2019-02-21T09:06:42-03:00",
"ref_number": "19052309222020",
"year": 2018,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": null,
"master_campaign_id": 8560,
"objective_yield_kg_ha": 1
},
{
"id": 86572,
"schedule_planting_date": "2020-04-02T14:28:27-03:00",
"planting_date": "2020-04-02T14:28:27-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "9.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2020-04-02T14:29:49-03:00",
"date_modified": "2020-04-02T14:34:34-03:00",
"date": "2020-04-02T14:28:27-03:00",
"ref_number": "20040214292676",
"year": 2020,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": null,
"master_campaign_id": 12962,
"objective_yield_kg_ha": null
},
{
"id": 86573,
"schedule_planting_date": "2020-04-02T00:00:00-03:00",
"planting_date": "2020-04-02T00:00:00-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "9.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2020-04-02T14:35:37-03:00",
"date_modified": "2021-05-05T11:01:35-03:00",
"date": "2020-04-02T14:35:21-03:00",
"ref_number": "20040214353302",
"year": 2021,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": null,
"master_campaign_id": 13510,
"objective_yield_kg_ha": null
},
{
"id": 98337,
"schedule_planting_date": "2020-06-11T00:00:00-03:00",
"planting_date": "2020-06-11T00:00:00-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "9.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2020-06-11T16:47:20-03:00",
"date_modified": "2020-06-11T16:48:35-03:00",
"date": "2020-06-11T16:46:28-03:00",
"ref_number": "20061116471544",
"year": 2020,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": 9374,
"master_campaign_id": 12962,
"objective_yield_kg_ha": null
},
{
"id": 98338,
"schedule_planting_date": "2020-06-11T00:00:00-03:00",
"planting_date": "2020-06-11T00:00:00-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "9.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2020-06-11T16:50:03-03:00",
"date_modified": "2020-06-11T16:51:21-03:00",
"date": "2020-06-11T16:49:13-03:00",
"ref_number": "20061116494712",
"year": 2020,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": 9760,
"master_campaign_id": 13938,
"objective_yield_kg_ha": 5
},
{
"id": 215416,
"schedule_planting_date": "2022-02-10T00:00:00-03:00",
"planting_date": null,
"planting_distance": "52.00",
"planting_objective_area_ha": "9.000",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2022-02-10T12:26:39-03:00",
"date_modified": "2022-03-28T16:39:37-03:00",
"date": "2022-02-10T12:26:39-03:00",
"ref_number": "22021012263967",
"year": 2021,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 0,
"formulated_id": null,
"master_campaign_id": 20037,
"objective_yield_kg_ha": 0
},
{
"id": 232739,
"schedule_planting_date": "2022-05-25T00:00:00-03:00",
"planting_date": null,
"planting_distance": "52.00",
"planting_objective_area_ha": "9.660",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2022-05-25T12:31:22-03:00",
"date_modified": "2022-05-25T12:31:22-03:00",
"date": "2022-05-25T12:31:22-03:00",
"ref_number": "22052512312263",
"year": 2020,
"plot_id": 23805,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 0,
"formulated_id": null,
"master_campaign_id": 13938,
"objective_yield_kg_ha": null
},
{
"id": 233299,
"schedule_planting_date": "2022-05-27T00:00:00-03:00",
"planting_date": null,
"planting_distance": "52.00",
"planting_objective_area_ha": "9.660",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2022-05-27T09:21:27-03:00",
"date_modified": "2022-05-27T09:21:27-03:00",
"date": "2022-05-27T09:21:27-03:00",
"ref_number": "22052709212730",
"year": 2022,
"plot_id": 23805,
"planting_system_id": null,
"maturity_group_id": 1,
"days_from_planting": 0,
"formulated_id": null,
"master_campaign_id": 24237,
"objective_yield_kg_ha": 0
},
{
"id": 254419,
"schedule_planting_date": "2022-08-24T03:00:00-03:00",
"planting_date": "2022-08-11T03:00:00-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": "9.660",
"harvest_finished": false,
"planting_finished": false,
"replanting": false,
"seed": false,
"date_created": "2022-08-24T14:52:22-03:00",
"date_modified": "2022-08-24T14:52:22-03:00",
"date": "2022-08-24T14:52:22-03:00",
"ref_number": "22082414522259",
"year": 2022,
"plot_id": 23805,
"planting_system_id": null,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": null,
"master_campaign_id": 24421,
"objective_yield_kg_ha": null
},
{
"id": 4712,
"schedule_planting_date": "2015-07-03T00:00:00-03:00",
"planting_date": "2015-07-03T00:00:00-03:00",
"planting_distance": "52.00",
"planting_objective_area_ha": null,
"harvest_finished": false,
"planting_finished": false,
"replanting": null,
"seed": null,
"date_created": "2015-07-03T13:09:01-03:00",
"date_modified": "2015-07-03T13:09:01-03:00",
"date": "2015-07-03T13:09:01-03:00",
"ref_number": null,
"year": 2015,
"plot_id": 3211,
"planting_system_id": 1,
"maturity_group_id": 1,
"days_from_planting": 365,
"formulated_id": null,
"master_campaign_id": 638,
"objective_yield_kg_ha": null
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 4,
"total_items": 35
}Version 1 > Campaigns
List
GET
/
api
/
v2
/
third_party
/
campaigns
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

